/// <reference path="tools/tools.js" />

//$.datepicker.regional['zh-CN'] = {
//    clearText: '清除',
//    clearStatus: '清除已选日期',
//    closeText: '关闭',
//    closeStatus: '不改变当前选择',
//    prevText: '<上月',
//    prevStatus: '显示上月',
//    prevBigText: '<<',
//    prevBigStatus: '显示上一年',
//    nextText: '下月>',
//    nextStatus: '显示下月',
//    nextBigText: '>>',
//    nextBigStatus: '显示下一年',
//    currentText: '今天',
//    currentStatus: '显示本月',
//    monthNames: ['一月', '二月', '三月', '四月', '五月', '六月', '七月', '八月', '九月', '十月', '十一月', '十二月'],
//    monthNamesShort: ['一', '二', '三', '四', '五', '六', '七', '八', '九', '十', '十一', '十二'],
//    monthStatus: '选择月份',
//    yearStatus: '选择年份',
//    weekHeader: '周',
//    weekStatus: '年内周次',
//    dayNames: ['星期日', '星期一', '星期二', '星期三', '星期四', '星期五', '星期六'],
//    dayNamesShort: ['周日', '周一', '周二', '周三', '周四', '周五', '周六'],
//    dayNamesMin: ['日', '一', '二', '三', '四', '五', '六'],
//    dayStatus: '设置 DD 为一周起始',
//    dateStatus: '选择 m月 d日, DD',
//    dateFormat: 'yy-mm-dd',
//    firstDay: 1,
//    initStatus: '请选择日期',
//    isRTL: false
//};

//$(function () {
//    //    @mycontrol = 1,
//    //    @controltype = 5,
//    //    @style = "width:200px;",
//    //    @BaseInfoType = BaseInfoType.学校,
//    //    @UpdateBaseInfoType = BaseInfoType.院系,
//    //    @UpdateID = "DepartmentsID"
//    //    @level=1
//    //  $(".datepicker").datepicker("option", "dateFormat", "yy-mm-dd");

//    $.datepicker.setDefaults($.datepicker.regional['zh-CN']);

//    $("select[mycontrol='1']").change(function () {
//        var el = $(this);
//        var val = el.val();
//        var text = el.find("option:selected").text();

//        var BaseInfoType = el.attr("BaseInfoType");
//        var UpdateBaseInfoType = el.attr("UpdateBaseInfoType");
//        var UpdateID = el.attr("UpdateID");
//        var level = el.attr("level");

//        if (val == "-1") {
//            resetlowerlevel(level);
//            return;
//        }

//        if (UpdateID) {
//            $.ajax({
//                url: "/admin/GetBaseInfoLevel",
//                type: "post",
//                data: "BaseInfoID=" + val + "&BaseInfoType=" + BaseInfoType + "&UpdateBaseInfoType=" + UpdateBaseInfoType,
//                success: function (ret) {
//                    var UpdateSelect = $("#" + UpdateID);
//                    if (UpdateSelect) {
//                        UpdateSelect.empty();
//                        $(ret).each(function () {
//                            var option = $("<option>").val(this.Value).text(this.Text);
//                            UpdateSelect.append(option);
//                        });
//                    }
//                }
//            });
//        }
//    });

//    $("input[isall=1]").change(function () {
//        var bol = $(this).attr("checked");
//        if (bol == "checked")
//            $("input[type='checkbox']").attr("checked", true);
//        else
//            $("input[type='checkbox']").attr("checked", false);
//    });
//});

function resetlowerlevel(level) {
    $("select[mycontrol='1']").each(function () {
        var el = $(this);
        var level2 = el.attr("level");
        var BaseInfoType = el.attr("BaseInfoType");
        if (level2 > level) {
            el.empty();

            var text = Getnulltext(BaseInfoType);
            var option = $("<option>").val("-1").text(text);
            el.append(option);

            var divid = "s2id_" + el.attr("id");
            $("#" + divid).children("a").children("span").html(text);
        }
    });
}

function Getnulltext(BaseInfoType) {
    BaseInfoType = parseInt(BaseInfoType);
    var nulltext = "空";
    switch (BaseInfoType) {
        case 2:
            nulltext = "空(院系)";
            break;
        case 3:
            nulltext = "空(专业)";
            break;
        case 4:
            nulltext = "空(年级)";
            break;
        case 5:
            nulltext = "空(班级)";
            break;
        case 6:
            nulltext = "空(学生)";
            break;
        case 7:
            nulltext = "空(收费项目类型)";
            break;
    }
    return nulltext;
}

function filechange(el) {
    el = $(el);
    var typeValue = el.val();
    var type = typeValue.substring(typeValue.lastIndexOf("\\") + 1, typeValue.length);
    type = type.substring(type.lastIndexOf("\."), type.length)

    var accept = el.attr("accept");

    if ($.inArray(type, accept.split(',')) == -1) {
        alert("请上传格式为(" + accept + ")的文件");
        el.val("");
    }
}

function ObjToJson(o) {
    /// <summary>
    /// 对象 转换为 jsonstr
    /// </summary>
    /// <param name="o" type="Object"></param>
    /// <returns></returns>
    if (o == null) return null;
    var r = [];
    if (o != null) {
        if (typeof o == "string")
            return "\"" + o.replace(/([\'\"\\])/g, "\\$1").replace(/(\n)/g, "\\n").replace(/(\r)/g, "\\r").replace(/(\t)/g, "\\t") + "\"";
        if (typeof o == "object") {
            if (!o.sort) {
                for (var i in o)
                    if (typeof o[i] != "function" && i != "yz") {
                        var type = o[i];
                        var aa = "\"" + i + "\":" + ObjToJson(o[i]);
                        r.push(aa);
                    }
                r = "{" + r.join() + "}";
            } else {
                for (var i = 0; i < o.length; i++)
                    if (typeof o[i] != "function") {
                        r.push(ObjToJson(o[i]))
                    }
                r = "[" + r.join() + "]"
            }
            return r;
        }
        if (typeof o == "boolean")
            return "\"" + o.toString() + "\"";
        else
            return o.toString();
    }
}